summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Adrian Ulrich2010-12-20 02:07:18 +0100
committer Robby Workman2010-12-21 05:44:03 +0100
commit035320fa7a8d3273c4cc21ffa3043e4b45020772 (patch)
tree5e1090fff3e9b0cf1c47d0a7154c955c61aeb9a0 /network
parent349cf363ae58bc1da85c541b9c65b64bae59721e (diff)
downloadslackbuilds-035320fa7a8d3273c4cc21ffa3043e4b45020772.tar.gz
network/perl-Sys-Syscall: Added (perl System Call access)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/perl-Sys-Syscall/README2
-rw-r--r--network/perl-Sys-Syscall/perl-Sys-Syscall.SlackBuild88
-rw-r--r--network/perl-Sys-Syscall/perl-Sys-Syscall.info10
-rw-r--r--network/perl-Sys-Syscall/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/network/perl-Sys-Syscall/README b/network/perl-Sys-Syscall/README
new file mode 100644
index 0000000000..ce2aa8a39f
--- /dev/null
+++ b/network/perl-Sys-Syscall/README
@@ -0,0 +1,2 @@
+Sys::Syscall - access system calls that Perl doesn't normally provide
+access to.
diff --git a/network/perl-Sys-Syscall/perl-Sys-Syscall.SlackBuild b/network/perl-Sys-Syscall/perl-Sys-Syscall.SlackBuild
new file mode 100644
index 0000000000..c27e67f824
--- /dev/null
+++ b/network/perl-Sys-Syscall/perl-Sys-Syscall.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for perl-Sys-Syscall
+
+# Copyright 2009-2010 Adrian Ulrich <adrian@blinkenlights.ch>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Sys-Syscall
+VERSION=${VERSION:-0.23}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRC_PRGNAM=Sys-Syscall
+DOCS="README.pod"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRC_PRGNAM-$VERSION
+tar xvf $CWD/$SRC_PRGNAM-$VERSION.tar.gz
+cd $SRC_PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL INSTALLDIRS=perl
+make
+make test
+make install DESTDIR=$PKG
+
+# Move man pages
+mv $PKG/usr/share/man $PKG/usr/
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+# Remove empty directories
+find $PKG -depth -type d -empty -delete
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/perl-Sys-Syscall/perl-Sys-Syscall.info b/network/perl-Sys-Syscall/perl-Sys-Syscall.info
new file mode 100644
index 0000000000..0b4a240208
--- /dev/null
+++ b/network/perl-Sys-Syscall/perl-Sys-Syscall.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Sys-Syscall"
+VERSION="0.23"
+HOMEPAGE="http://search.cpan.org/dist/Sys-Syscall/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/B/BR/BRADFITZ/Sys-Syscall-0.23.tar.gz"
+MD5SUM="be6dc2d791684a6f8abb3dd39ff2d1de"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Adrian Ulrich"
+EMAIL="adrian@blinkenlights.ch"
+APPROVED="Niels Horn"
diff --git a/network/perl-Sys-Syscall/slack-desc b/network/perl-Sys-Syscall/slack-desc
new file mode 100644
index 0000000000..1176adda0d
--- /dev/null
+++ b/network/perl-Sys-Syscall/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Sys-Syscall: perl-Sys-Syscall (perl System Call access)
+perl-Sys-Syscall:
+perl-Sys-Syscall: Sys::Syscall gives access to system calls that Perl doesn't
+perl-Sys-Syscall: normally provide.
+perl-Sys-Syscall:
+perl-Sys-Syscall: This module is required by Danga::Socket
+perl-Sys-Syscall:
+perl-Sys-Syscall:
+perl-Sys-Syscall:
+perl-Sys-Syscall:
+perl-Sys-Syscall: